Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class SyncStateServer.SyncStateServerHandler

    java.lang.Object
      ix.ip2.ItemHandler
          ix.ip2.ActivityHandler
              ix.ip2.SyncState.SyncStateHandler
                  ix.ip2.SyncStateServer.SyncStateServerHandler

Enclosing class:
  SyncStateServer

    public class SyncStateServer.SyncStateServerHandler

extends SyncState.SyncStateHandler

Field Summary

Fields inherited from class ix.ip2.SyncState.SyncStateHandler
`ip2`

Fields inherited from class ix.ip2.ItemHandler
`actionDescription`

Constructor Summary
`SyncStateServer.SyncStateServerHandler(Ip2 ip2)`

Method Summary
`void` | `handle(AgendaItem item)` Called to perform the action implemented by this handler, if the selected HandlerAction so desires.

Methods inherited from class ix.ip2.SyncState.SyncStateHandler
`addHandlerActions, appliesTo, getOperation, getSyntaxList, isAutomatic`

Methods inherited from class ix.ip2.ActivityHandler
`toString`

Methods inherited from class ix.ip2.ItemHandler
`getActionDescription, makeHandler, reviseHandlerActions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyncStateServer.SyncStateServerHandler

    public SyncStateServer.SyncStateServerHandler(Ip2 ip2)

Method Detail

### handle

    public void handle(AgendaItem item)

  Description copied from class: `ItemHandler`
  Called to perform the action implemented by this handler, if the selected HandlerAction so desires.

  Specified by:
    `handle` in class `SyncState.SyncStateHandler`
  See Also:
    `ItemHandler.addHandlerActions(AgendaItem)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD